<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div class="line rounded">
	<div class="unit size1of1 lastUnit">
		<div data-bind="attr: {id: id}" class="container">
			<div class="wizardStepsNavigationMenu">
				<div data-bind="css: {'active': steps()[0].isActive}" class="firstCap">
				</div>
				<div data-bind="foreach: steps">
					<div data-bind="css: {'active': isActive() }" class="step">
						<a data-bind="visible: $data.index < $parent.currentStepIndex(), click: function() {$parent.gotoStep($data.index)}">
							<span data-bind="text: title"></span></a><span data-bind="text: title, visible: $data.index >= $parent.currentStepIndex()">
							</span>
					</div>
					<div data-bind="dynamicClass: arrowClass">
					</div>
				</div>
			</div>
			<div class="wizardStepContents">
				<div data-bind="foreach: steps">
					<div data-bind="visible: isActive(), css: {'currentStepContainer': isActive()}">
						<!-- ko template: templateName -->
						<!-- /ko -->
					</div>
				</div>
				<div data-bind="with: currentStep" class="sectionEditButtons wizardButtons clearfix">
					<button id="idAdvancedWizardCancelBtn" data-bind="click: function() { $parent.cancel(); }" class="button glass radius gray" type="button"
							value="">
						<span><fmt:message key="wizard.cancel" /></span>
					</button>
					<!--<div class="buttonDivider">
					</div>-->
					<button id="idAdvancedWizardFinishBtn" data-bind="click: function() { $parent.nextStep(); }, enable: isNextButtonActive && isLastStep(), css: { 'disabled':!isNextButtonActive() || !isLastStep() }"
							class="button glass radius gray" type="button" value="">
						<span><fmt:message key="wizard.finish" /></span>
					</button>
					<button id="idAdvancedWizardNextBtn" data-bind="click: function() { $parent.nextStep(); }, enable: isNextButtonActive && !isLastStep(), css: { 'disabled':!isNextButtonActive() || isLastStep() }"
						class="button glass radius gray" type="button" value="">
						<span><fmt:message key="wizard.next" /></span>
					</button>
					<button id="idAdvanceWizardBackBtn" data-bind="enable: !isFirstStep(), css: { 'disabled': isFirstStep() }, click: function() { $parent.gotoStep($data.index - 1); }"
						class="button glass radius gray" type="button" value="">
						<span><fmt:message key="wizard.back" /></span>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>
