<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_createServerGroup_template" data-bind="with: DellClarity.SCVMM.ViewModel.Discovery.CreateServerGroup ">
    <section id="error_createServer" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />

    <form>
        <p>
            <fmt:message key="discovery.createservergroup.help" />
        </p>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="discovery.createservergroup.help" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="groupName">
                        <u>
                            <fmt:message key="discovery.createservergroup.servergroupname" />
                        </u>
                    </label>
                    <input id="groupName" type="text" class="value" value=""  data-bind="value: name" required>
                </li>
                <li>
                    <label for="groupDescription">
                        <u>
                            <fmt:message key="discovery.createservergroup.servergroupdescription" />
                        </u>
                    </label>
                    <textarea id="groupDescription" class="value" data-bind="value: description"></textarea>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="createServerGroupFinish" type="submit">
                <fmt:message key="discovery.createservergroup.finish" />
            </button>
            <button id="createServerGroupCancel" type="button">
                <fmt:message key="discovery.createservergroup.cancel" />
            </button>
        </div>
    </form>
</section>
