<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_deployment_firmwareBaseline" data-bind="with: DellClarity.SCVMM.ViewModel.FirmwareUpdate.SelectBaseline.model">
    <header>
        <h1>
            <fmt:message key="firmwareupdatewizard.baselineselection.firmwareupdate" />
        </h1>
    </header>
    <p>
        <fmt:message key="firmwareupdatewizard.baselineselection.help" />
    </p>
    <form id="firmwareBaselineForm" autocomplete="off">
        <fieldset>
            <legend>
                <fmt:message key="firmwareupdatewizard.baselineselection.firmwarebaseline" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <input type="radio" id="dellPdkCatalog" name="firmwareBaselineChoice" class="value" value="pdkCatalog" 
                        data-bind="checked: firmwareBaselineChoice"/>
                    <label for="dellPdkCatalog">
                        <u>
                            <fmt:message key="firmwareupdatewizard.baselineselection.dellpdkcatalog" />
                        </u>
                    </label>
                    <p>
                        <fmt:message key="firmwareupdatewizard.baselineselection.cataloghelp" />
                    </p>
                    <ul class="labelValuePairs">
                        <li>                          
                            <label for="pdkcatalogpath">
                                <u>
                                    <fmt:message key="firmwareupdatewizard.baselineselection.catalogpath" />
                                </u>
                            </label>
                            <input id="pdkcatalogpath" name="pdkcatalogpath" type="text" class="value" data-bind="enable: firmwareBaselineChoice() === 'pdkCatalog', attr:{required: firmwareBaselineChoice() === 'pdkCatalog'}, value: pdkCatalogPath">
                            <ul class="labelValuePairs">
                                <li>
                                    <label for="pdkcatalogpathusername">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.catalogpathusername" />
                                        </u>
                                    </label>
                                    <input id="pdkcatalogpathusername" name="pdkcatalogpathusername" type="text" value="" class="value" 
                                            data-bind="enable: firmwareBaselineChoice() === 'pdkCatalog', value: pdkCatalogPathUsername, attr:{required: firmwareBaselineChoice() === 'pdkCatalog'}">
                                </li>
                                <li>
                                    <label for="pdkcatalogpathPassword">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.catalogpathpassword" />
                                        </u>
                                    </label>
                                    <input id="pdkcatalogpathPassword" name="pdkcatalogpathPassword"  type="password" value="" class="value" 
                                            data-bind="enable: firmwareBaselineChoice() === 'pdkCatalog', value: pdkCatalogPathPassword, attr:{required: firmwareBaselineChoice() === 'pdkCatalog'}">
                                </li>
                            </ul>
                        </li> 
                    </ul>
                </li>
                <li>
                    <input type="radio" id="ftpDell" name="firmwareBaselineChoice" class="value" value="ftp" data-bind="checked: firmwareBaselineChoice"/>
                    <label for="ftpDell">
                        <u>
                            <fmt:message key="firmwareupdatewizard.baselineselection.ftpdell" />
                        </u>
                    </label>      
                    <ul class="labelValuePairs">     
                        <li>
                            <label for="ftpUrl">
                                <u>
                                    <fmt:message key="firmwareupdatewizard.ftpurl" />

                                </u>
                            </label>
                            <input id="ftpUrl" name="ftpUrl" type="text" class="value"  data-bind="enable: firmwareBaselineChoice() == 'ftp', value: ftpUrl,  
                                                                                            attr:{required: firmwareBaselineChoice() === 'ftp'}" />           
                            <ul class="labelValuePairs" class="value">
                                <li>
                                    <label for="ftpcatalogpathusername">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.ftpusername"/>
                                        </u>
                                    </label>
                                    <input id="ftpcatalogpathusername" name="ftpcatalogpathusername" type="text" value="" class="value" 
                                           data-bind="enable: firmwareBaselineChoice() == 'ftp', value: ftpUserName, attr: { required: firmwareBaselineChoice() === 'ftp' }">
                                </li>
                                <li>
                                    <label for="ftpcatalogpathPassword">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.ftppassword"/>
                                        </u>
                                    </label>
                                    <input id="ftpcatalogpathPassword" name="ftpcatalogpathPassword"  type="password" value="" class="value" 
                                           data-bind="enable: firmwareBaselineChoice() == 'ftp', value: ftpPassword, attr: { required: firmwareBaselineChoice() === 'ftp' }">
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>                          
            </ul>
        </fieldset>
    </form>
</section>
