<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_firmwareUpdate_repositoryLocation" data-bind="with: DellClarity.SCVMM.ViewModel.FirmwareUpdate.SelectRepository">
    <header>
        <h1><fmt:message key="firmwareupdatewizard.repositorylocation.title" /></h1>
    </header>
    <p>
        <fmt:message key="firmwareupdatewizard.repositorylocation.help" />  
    </p>
    <!-- ko with: DellClarity.SCVMM.ViewModel.FirmwareUpdate.firmwareDownload -->
    <form id="firmwareUpdateForm" autocomplete="off">
        <fieldset>
        	<legend><fmt:message key="firmwareupdatewizard.repositorylocation.sharedetails" /></legend>
            <ul class="labelValuePairs">
                <li>
                   <label for="existingShare"><u><fmt:message key="firmwareupdatewizard.repositorylocation.existingshare" /></u></label>
                   <select class="value" id="existingShare" name="existingShare" required data-bind="options: DellClarity.SCVMM.ViewModel.FirmwareUpdate.SelectRepository.existingShares, 
                                                                                                    optionsValue: 'id', optionsText: 'shareName', value: share,
                                                                                                    optionsCaption: '<fmt:message key="firmwareupdatewizard.repositorylocation.selectshare"/>'">

			       </select>  
                   <p><fmt:message key="firmwareupdatewizard.repositorylocation.existingsharehelp" /></p>                
                </li>
                <li>
                    <label for="repositoryUsername"><u><fmt:message key="firmwareupdatewizard.repositorylocation.username" /></u></label>
					<input id="repositoryUsername" name="repositoryUsername" type="text" value="" class="value" required placeholder='<fmt:message key="firmwareupdatewizard.repositorylocation.repositoryusernamehelp" />' data-bind="value: domainUsername">
                </li>
                <li>
                    <label for="repositoryPassword"><u><fmt:message key="firmwareupdatewizard.repositorylocation.password" /></u></label>
					<input id="repositoryPassword" name="respositoryPassword" type="password" value="" required class="value" placeholder="password" data-bind="value: password">
                </li>
            </ul>
        </fieldset>
    </form>
    <!-- /ko -->
</section>
 
