<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_edit_idrac_user">
    <form id="editHardwareProfileForm" autocomplete="off">
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="hardwareprofile.idracuserlist.title" /></legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="username"><u><fmt:message key="hardwareprofile.idracuserlist.username" /></u></label>
                    <input id="username" type="text" class="value" data-bind="value: username" />
                </li>
                <li>
                    <label for="password"><u><fmt:message key="hardwareprofile.idracuserlist.password" /></u></label>
                    <input id="password" type="password" class="value" data-bind="value: password" />
                </li>
                <li>
                    <label for="verifypassword"><u><fmt:message key="hardwareprofile.idracuserlist.verifypassword" /></u></label>
                    <input id="verifypassword" type="password" class="value" data-bind="value: verifypassword" />
                </li>
                <li>
                    <label for="state"><u><fmt:message key="hardwareprofile.bootsettings.state" /></u></label>
                    <select id="state" class="value" data-bind="options: DellClarity.SCVMM.ViewModel.HardwareProfile.IDracUserList.Constants.State, value: state"></select>
                </li>
                <li>
                    <label for="idrac"><u><fmt:message key="hardwareprofile.bootsettings.idrac" /></u></label>
                    <select id="idrac" class="value" data-bind="options: DellClarity.SCVMM.ViewModel.HardwareProfile.IDracUserList.Constants.IDrac, value: iDrac"></select>
                </li>
                <li>
                    <label for="lan"><u><fmt:message key="hardwareprofile.bootsettings.lan" /></u></label>
                    <select id="lan" class="value" data-bind="options: DellClarity.SCVMM.ViewModel.HardwareProfile.IDracUserList.Constants.Lan, value: lan"></select>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnHardwareProfileBootSettingsSave" type="submit">
                <fmt:message key="genericTerms.save" />
            </button>
            <button id="btnHardwareProfileBootSettingsCancel" type="button">
                <fmt:message key="genericTerms.cancel" />
            </button>
        </div>
    </form>
</section>
