<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_idracnetwork">
    <header>
        <h1>
            <fmt:message key="hardwareprofile.idracnetwork.title" />
        </h1>
    </header>

    <!-- ko with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model -->
        <!-- ko foreach: iDRACSettings.network.categories -->
            <section>
                <header>
                    <h1>
                        <a class="toggleSection" data-bind="css: {expand: !isExpanded(), collapse: isExpanded()}, text: isExpanded() ? DellClarity.SCVMM.Translations.genericterms.Collapse : DellClarity.SCVMM.Translations.genericterms.Expand"></a> &nbsp;
                        <span data-bind="text: name"></span>
                        <a class="editlink" data-bind="visible: isExpanded, attr: {href: '#/hardwareProfile.edit.category/iDRACSettings.network/' + $index()}"><fmt:message key="hardwareprofile.common.edit" /></a>
                    </h1>
                </header>
                
                <ul class="labelValuePairs" data-bind="foreach: settings, visible: isExpanded">
                    <li>
                        <label data-bind="indexedfor: id"><u data-bind="text: name"></u></label>
                        <span class="value" data-bind="text: value, indexedid: id"></span>
                    </li>
                </ul>
            </section>
        <!-- /ko -->
    <!-- /ko -->
</section>
