<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_idracuserlist">
    <header>
        <h1>
            <fmt:message key="hardwareprofile.idracuserlist.title" />
        </h1>
    </header>

    <!-- ko with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model -->
    <form data-bind="with: iDRACSettings">
        <h2>
            <fmt:message key="hardwareprofile.idracuserlist.subtitle" />
        </h2>

        <ul class="inlineList">
            <li>
                <a id="editUser""><fmt:message key="hardwareprofile.idracuserlist.edituser" /></a>
            </li>
            <li>
                <a id="deleteUser"><fmt:message key="hardwareprofile.idracuserlist.deleteuser" /></a>
            </li>
            <li>
                <a id="addUser" href="#/hardwareProfile.edit.idracUser"><fmt:message key="hardwareprofile.idracuserlist.adduser" /></a>
            </li>
        </ul>

        <h2>
            <fmt:message key="hardwareprofile.idracuserlist.warning" />
        </h2>
        
        <p><fmt:message key="hardwareprofile.idracuserlist.note1" /></p>
        <p><fmt:message key="hardwareprofile.idracuserlist.note2" /></p>
        
        <table class="dataTable">
            <thead>
                <tr>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.id" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.username" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.password" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.state" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.idrac" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.lan" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.serialport" /></th>
                    <th scope="col"><fmt:message key="hardwareprofile.idracuserlist.serialoverlan" /></th>
                </tr>
            </thead>
            <tbody data-bind="foreach: users">
                <tr data-bind="css: {selected: DellClarity.SCVMM.ViewModel.HardwareProfile.IDracUserList.selectedUser() == $data}">
                    <td data-bind="text: id"></td>
                    <td data-bind="text: username"></td>
                    <td data-bind="text: password"></td>
                    <td data-bind="text: state"></td>
                    <td data-bind="text: iDrac"></td>
                    <td data-bind="text: lan"></td>
                    <td data-bind="text: serialPort"></td>
                    <td data-bind="text: serialOverLan"></td>
                </tr>
            </tbody>
        </table>
    </form>
    <!-- /ko -->
</section>
