<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="hypervisorProfileWizardDriversSource" data-bind="with: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.model">
    <section id="error_hypervisorProfileWizardDriversSource" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <header><h1><fmt:message key="hypervisorprofile.driversSource.title" /></h1></header>
    <form>
        <fieldset>
            <legend>
                <fmt:message key="hypervisorprofile.driversSource.applyDrivers" />
            </legend>
            <p><fmt:message key="hypervisorprofile.driversSource.help" /></p>
            <ul id="driverSources" class="labelValuePairs">
                <li>
                    <input id="lifeCycleController" type="checkbox" class="value" data-bind="checked: applyLifecycleDrivers">
                    <label for="lifeCycleController">
                        <u>
                            <fmt:message key="hypervisorprofile.driversSource.lcDriverInjection" />
                        </u>
                    </label>
                    <ul class="labelValuePairs" data-bind="styledDisabled: applyLifecycleDrivers() === false">
                        <!--<li>
                            <label for="scvmmLibraryShare">
                                <u>
                                    <fmt:message key="hypervisorprofile.driversSource.scvmmLibraryShare" />
                                </u>
                            </label>
                            <div id="scvmmLibraryShare" class="value">  
                                <span class="icon spinner" data-bind="visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === true"></span>
                                <label for="scvmmLibraryShareSelect" class="visuallyhidden"><u>SCVMM Library Share</u></label>
                                <select id="scvmmLibraryShareSelect" name="scvmmLibraryShareSelect" data-bind="options: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.scvmmLibraryServers, optionsText: 'name', optionsValue: 'name', visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === false, 
                                    optionsCaption: 'Select SCVMM Library Share',value: lifecycleSCVMMLibraryServerName, attr:{required: applyLifecycleDrivers() === true}" >
                                </select>
                            </div>
                        </li>-->
                        <li>
                            <label for="hyperVisorVersion">
                                <u>
                                    <fmt:message key="hypervisorprofile.driversSource.hyperversion" />
                                </u>
                            </label>
                            <div id="hyperVisorVersion" class="value">  
                                <span class="icon spinner" data-bind="visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === true"></span>
                                <label for="hypervisorVersionSelect" class="visuallyhidden"><u><fmt:message key="hypervisorprofile.driversSource.hyperVSelectList" /></u></label>
                                <select id="hypervisorVersionSelect" name="hypervisorVersionSelect" data-bind="options: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.hypervisorVersions, optionsText: 'name', optionsValue: 'name', visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === false, 
                                    optionsCaption: '<fmt:message key="hypervisorprofile.driversSource.hyperversionselectcaption" />',value: hypervisorVersionName, attr:{required: applyLifecycleDrivers() === true}" >
                                </select>
                            </div>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
    </form>
</section>
