<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_updatecenter_partreplacement_template" data-bind="with: DellClarity.SCVMM.ViewModel.PartReplacement">
    <section id="error_updatecenter_partreplacement" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form id="partReplacementForm" autocomplete="off">
        <fieldset data-bind="with: model">
            <legend>
                <fmt:message key="partreplacement.title" />
            </legend>
            <p>
                <fmt:message key="updatecenter.partreplacement.help" />
            </p>
            <br/>
            <ul class="labelValuePairs">

                <li>
                    <span class="label">
                        <u>
                            <fmt:message key="updatecenter.partreplacement.csior" />
                        </u>
                    </span>
                    <span class="value">
                      <label for="csior" class="visuallyhidden">
                        <u>
                          <fmt:message key="updatecenter.partreplacement.csior" />
                        </u>
                      </label>
                        <select id="csior" required data-bind="options: $parent.csiorList,
                                                             optionsText: 'name',
                                                             optionsValue: 'id',
                                                             value: selectedcsior"></select>
                    </span>
                </li>
                <br/>
                <li>
                    <span class="label">
                        <u>
                            <fmt:message key="updatecenter.partreplacement.partfirmwareupdate" />
                        </u>
                    </span>
                    <span class="value">
                      <label for="partFirmwareUpdate" class="visuallyhidden">
                        <u>
                          <fmt:message key="updatecenter.partreplacement.partfirmwareupdate" />
                        </u>
                      </label>
                        <select id="partFirmwareUpdate" required data-bind="options: $parent.partFirmwareUpdateList,
                                                             optionsText: 'name',
                                                             optionsValue: 'id',
                                                             value: selectedpartfirmwareupdate"></select>
                    </span>
                </li>
                <br/>
                <li>
                    <span class="label">
                        <u>
                            <fmt:message key="updatecenter.partreplacement.partconfigurationupdate" />
                        </u>
                    </span>
                    <span class="value">
                      <label for="partConfigurationUpdate" class="visuallyhidden">
                        <u>
                          <fmt:message key="updatecenter.partreplacement.partconfigurationupdate" />
                        </u>
                      </label>
                        <select id="partConfigurationUpdate" required data-bind="options: $parent.partConfigurationUpdateList,
                                                             optionsText: 'name',
                                                             optionsValue: 'id',
                                                             value: selectedpartconfigurationupdate"></select>
                    </span>
                </li>
            </ul>
        </fieldset>
                
        <fieldset>
            <legend  class="visuallyhidden">
                <fmt:message key="partreplacement.title" />
            </legend>

            <ul class="labelValuePairs">
                <li>
                    <input type="checkbox" class="value" id="goToTheJobList" data-bind="checked: goToTheJobList" />
                    <label for="goToTheJobList">
                        <u>
                            <fmt:message key="updatecenter.partreplacement.gotothejoblist" />
                        </u>
                    </label>
                </li>
            </ul>
        </fieldset>

        <div class="sectionEditButtons">
            <!-- ko with: model -->
            <button id="partReplacementFinish" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="disable: (selectedcsior() == 'do_not_change' && selectedpartfirmwareupdate() == 'do_not_change' && selectedpartconfigurationupdate() == 'do_not_change')">
                <fmt:message key="updatecenter.partreplacement.finish" />
            </button>
            <!-- /ko -->
            <button id="partReplacementCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="updatecenter.partreplacement.cancel" />
            </button>
        </div>
    </form>
</section>
