<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_updatecenter_restore_template" data-bind="with: DellClarity.SCVMM.ViewModel.RestoreServerProfile">
    <section id="error_updatecenter_restore" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form id="restoreForm" autocomplete="off">
    

            <fieldset data-bind="with: model">
                      <legend>   <fmt:message key="updatecenter.home.restoreprofile.restoreTitleDesc" /> </legend>
                <ul class="labelValuePairs">

                   <li>
                        <label for="jobname">
                            <u>
                                  <fmt:message key="updatecenter.home.restoreprofile.restoreJobName" />
                            </u>
                        </label>
                        <input id="jobname" name="jobname"   type="text" maxlength="59" pattern="^.{1,59}$" title='<fmt:message key="updatecenter.restoreserverprofile.name.title" />' class="value"  placeholder='<fmt:message key="updatecenter.home.restoreprofile.jobname.hint"/>' required  data-bind="value: jobname ">
                    </li>
               
                    <li>
                        <label for="description">
                            <u>
                                <fmt:message key="updatecenter.home.restoreprofile.restoreJobDesc" />
                            </u>
                        </label>
                        <textarea id="description" name="description"  maxlength="256"  data-bind="value: jobdescription"  placeholder='<fmt:message key="updatecenter.home.restoreprofile.jobdesc.hint"/>' class="value" ></textarea>
                    </li>
                </ul>
            
        </fieldset>
           <fieldset data-bind="with: model">

                <legend>   <fmt:message key="updatecenter.home.restoreprofile.restoreType" />  </legend>
               <div>
                 <input type="radio" name="quickrestore" class="value" id="quickrestore" value="quickrestore" data-bind="checked: DellClarity.SCVMM.ViewModel.RestoreServerProfile.restoreTypeChoice"/>
                   <label for="quickrestore">  <fmt:message key="updatecenter.home.restoreprofile.quickrestore" />  </label>
                          
                      
                <p style="margin-left:2em;" > <fmt:message key="updatecenter.home.restoreprofile.quickrestoreDesc" />  </p>
           
        
                  
                   <div style="margin-left:2em;">
                       <ul>

                            <li id="preservedatadetails" >
                       
                                <input type="checkbox"  id="quickrespreservedata"  data-bind="checked: DellClarity.SCVMM.ViewModel.RestoreServerProfile.quickResPreserveData"/> 
                                 <label for="quickrespreservedata">   <fmt:message key="updatecenter.home.restoreprofile.preservedata" />  </label>
                                <p style="margin-left:2em;"> <fmt:message key="updatecenter.home.restoreprofile.preservedataDesc" />   </p>
          
           
                              </li>
                                            
                 
                     </ul> 
                           
                   </div>    
                     </div>            
                        <hr/>   
                <div>
               
           
          <input type="radio" id="customrestore" name="customrestore" class="value"  value="customrestore" data-bind="checked: DellClarity.SCVMM.ViewModel.RestoreServerProfile.restoreTypeChoice" />
                        <label for="customrestore">
                            <u>
                               <fmt:message key="updatecenter.home.restoreprofile.customrestore" /> 
                            </u>
                        </label>
                        <p style="margin-left:2em;" id="credentialProfile_info">
                               <fmt:message key="updatecenter.home.restoreprofile.customrestoreDesc" /> 
                        </p>
                     
                      <div style="height:120px;overflow-y:auto;overflow-x:hidden">
                        <table id="serverTable" class="dataTable"  style="height:50px;overflow-y:auto">
                            <thead id="serverTableHeader">
                                <tr>
                                    <th scope="col">
                                      <strong><fmt:message key="updatecenter.home.devicegroup" /></strong>
                                    </th>
                                    <th scope="col">
                                       <strong><fmt:message key="updateGroupMasterDetails.details.ipaddress" /></strong>
                                    </th>
                                    <th scope="col">
                                       <strong>  <fmt:message key="updatecenter.home.serviceTagOrNodeId" /></strong>
                                    </th>
                                     <th scope="col">
                                      <strong><fmt:message key="updatecenter.home.vaultname" /></strong>
                                    </th>
                                    <th scope="col">
                                      <strong><fmt:message key="updatecenter.home.serverimage" /> </strong>
                                    </th>
                                       <th scope="col">
                                  <strong>  <fmt:message key="updatecenter.home.restoreprofile.preservedata" /></strong>
                                    </th>
                                </tr>
                            </thead>
                      
                                 <!-- ko if: DellClarity.SCVMM.ViewModel.RestoreServerProfile.loading() -->
                    <tbody>
                        <tr>
                            <td colspan="12">
                                <fmt:message key="scrollabletable.loading" />
                                <span>&nbsp;</span>
                                <span class="icon spinner"></span>
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->
                                <!-- ko if: (!DellClarity.SCVMM.ViewModel.RestoreServerProfile.loading() && !DellClarity.SCVMM.ViewModel.RestoreServerProfile.customRestoreRows()) || DellClarity.SCVMM.ViewModel.RestoreServerProfile.restoreTypeChoice() != 'customrestore'-->
                    <tbody>
                        <tr>
                            <td colspan="12">
                               <fmt:message key="updatecenter.home.restoreprofile.customrestorefootertxt" />
                            </td>
                        </tr>
                    </tbody>
                    <!-- /ko -->

                             <!-- ko if: DellClarity.SCVMM.ViewModel.RestoreServerProfile.restoreTypeChoice() === 'customrestore' -->
                                  <!-- ko with:  DellClarity.SCVMM.ViewModel.RestoreServerProfile.customRestoreRows -->
                            <tbody data-bind="foreach: $data">
                                <tr>
                                    <td data-bind="text: groupname "></td>
                                    <td data-bind="text: ipaddress"></td>
                                    <td data-bind="text: serverid"></td>
                                    <td data-bind="text: vaultname"></td>
                                    <td >
                                      <!-- ko if: typeof $data.serverimage != 'undefined' -->      
                        <select data-bind="event:{ change: DellClarity.SCVMM.ViewModel.RestoreServerProfile.imageSelectEvent}, options: $data.serverimage,indexedid: id">                                          
                                            </select> 
                                           <!-- /ko -->
                                  
                                    </td>
                                      <td><input style="margin-left:2em" type="checkbox"  id="preservedata" data-bind="indexedid: id,event:{ change: DellClarity.SCVMM.ViewModel.RestoreServerProfile.preservedataselectEvent},checked: preservedata"/> </td>
                                </tr>
                               
                            </tbody>
                             <!-- /ko -->
                                 <!-- /ko -->
                              
                        </table>
                            </div>  
                      <!-- /ko -->
                  
                   <div>
                           
                   </div>    
                     </div>   
                
                      
            </fieldset>
              <fieldset>
            <ul class="labelValuePairs">
                <li>
                    <input type="checkbox" class="value" id="goToTheJobList" data-bind="checked: goToTheJobList" />
                    <label for="goToTheJobList">
                        <u>
                            <fmt:message key="updatecenter.restoreprofile.gotothejoblist" />
                        </u>
                    </label>
                </li>
            </ul>
        </fieldset>
          <div class="sectionEditButtons">
            <button id="restoreFinish" class="cux-button cux-button-large cux-button-primary" type="submit">
                <fmt:message key="updatecenter.restoreprofile.finish" />
            </button>
            <button id="restoreCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="updatecenter.restoreprofile.cancel" />
            </button>
        </div>
         </form>
</section>
