<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="importWhiteListModal">
    <form id="importWhiteListForm">
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="importwhitelist.fileimportlegend" /></legend>
            <header class="visuallyhidden"><h1><fmt:message key="importwhitelist.importwhitelist" /></h1></header>
            <p>
                <fmt:message key="whitelist.help" />
            </p>
            <ul class="labelValuePairs">
                <li>
                    <label for="fileImport"><u><fmt:message key="importwhitelist.importfilelabel" /></u></label>
                    <input id="fileImport" name="fileImport" class="value" type="file" required/>
                </li>
            </ul>
            <div class="sectionEditButtons">
                <button id="importWhiteListFinish" type="submit">
                    <fmt:message key="wizard.finish" />
                </button>
                <button id="importWhiteListCancel" type="button">
                    <fmt:message key="genericTerms.cancel" />
                </button>
            </div>
        </fieldset>
    </form>
</section>
