<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section>
    <header>
        <hgroup>
            <h1>Changelog</h1>
            <h2>Date/Version</h2>
            <h3>Change</h3>
        </hgroup>
    </header>

    <ul class="labelValuePairs">
        <li>
            <label for="change35"><u>2013.01.21</u></label>
            <span id="change35" class="value">Added option to override the text for the Finish button in wizards. This allows the Finish button to be used for "Save and Exit" scenarios.
                <br />
                Also added function/property to enable the finish button: isFinishButtonActive
            </span>
        </li>
        <li>
            <label for="change34"><u>2013.01.17</u></label>
            <span id="change34" class="value">Removed jqGrid library and related (grid.js and taskbar.js) from DellClarity.Core.
                jqGrid implementations are now deprecated and should be moved to the standard KnockoutJS Scrollable Table implementation.
                Some jqGrid styles are still included in DellClarity.Core for now, but will be removed eventually.
            </span>
        </li>
        <li>
            <label for="change33"><u>2012.11.16</u></label>
            <span id="change33" class="value">Main landing page completed.
            </span>
            <li>
                <label for="change32"><u>2012.11.15</u></label>
                <span id="change32" class="value">Getting Started page completed.
                </span>
            </li>

        <li>
            <label for="change31"><u>2012.11.14</u></label>
            <span id="change31" class="value">Refactored Dashboard feature pattern.
            </span>
        </li>
        <li>
            <label for="change30"><u>2012.11.13</u></label>
            <span id="change30" class="value">Dashboard Feature Pattern added.
            </span>
        </li>
        <li>

            <label for="change29"><u>2012.11.12</u></label>
            <span id="change29" class="value">Logs Feature Pattern added.
            </span>
        </li>

        <li>
            <label for="change28"><u>2012.11.12</u></label>
            <span id="change28" class="value">Information Architecture changed on Controls. Feature Patterns and Samples sections added.
            </span>
        </li>
        <li>
            <label for="change27"><u>2012.10.30</u></label>
            <span id="change27" class="value">Added Globalization for Dates and Numbers. By default all cultures are loaded in globalize.cultures.js, so in your build scripts you will need to combine and minify only the languages your project needs to support. The combined file should overwrite what is in globalize.cultures.js.
            </span>
        </li>

        <li>
            <label for="change26"><u>2012.10.10</u></label>
            <span id="change26" class="value">Information Architecture changed on the main navigation menu.
            </span>
        </li>
        <li>
            <label for="change25"><u>2012.09.21</u></label>
            <span id="change25" class="value">Uploaded new Font files for better cross-browser support. Files in dellclarity.core/styles/fonts
                should be added to your projects.
            </span>
        </li>
        <li>
            <label for="change24"><u>2012.06.22</u></label>
            <span id="change24" class="value">Created new Topology Sample</span>
        </li>
        <li>
            <label for="change23"><u>2012.06.08</u></label>
            <span id="change23" class="value">Updated Highcharts to 2.2.5
            </span>
        </li>
        <li>
            <label for="change22"><u>2012.06.01</u></label>
            <span id="change22" class="value">New File Upload Sample in Forms (MIT Licensed)
            </span>
        </li>
        <li>
            <label for="change21"><u>2012.05.31</u></label>
            <span id="change21" class="value">All open menus collapse except current menu when a page is navigated to
            <br />
                Update of grid filters to support date objects instead of strings
            </span>
        </li>
        <li>
            <label for="change20"><u>2012.05.25</u></label>
            <span id="change20" class="value">Focus leaves menu after click or enter press.
            <br />
                Reduced bottom padding on advanced wizard template.
            </span>
        </li>
        <li>
            <label for="change19"><u>2012.05.15</u></label>
            <span id="change19" class="value">Upgrade to KnockoutJS Version 2.1 (http://www.knockmeout.net/2012/05/knockout-2-dot-1-is-out.html)
            <br />
                Added new Handler to Grid to dynamically enable/disable buttons based on content.
            <br />
                Updated Grid Filter so that only Drop Down Lists fire onblur. Otherwise you must
            hit enter to trigger the filter.
            </span>
        </li>
        <li>
            <label for="change18"><u>2012.05.10</u></label>
            <span id="change18" class="value">Modified Grid default polling/refresh timeout to 60 seconds.
            </span>
        </li>
        <li>
            <label for="change17"><u>2012.05.09</u></label>
            <span id="change17" class="value">Refactored chromeless layout to take advantage of dellclarity.core's patterns more
            effectively
            </span>
        </li>
        <li>
            <label for="change16"><u>2012.05.08</u></label>
            <span id="change16" class="value">Support for chromeless layouts now in core.
            <br />
                Working on chromeless template - Restructured how app resizes to be consistent between
            IE and Firefox - Improvements to resize event on browser
            </span>
        </li>
        <li>
            <label for="change15"><u>2012.05.07</u></label>
            <span id="change15" class="value">IE7 bug with grid control and quick navigation<br />
                Removed "em" font sizing in jquery ui<br />
                Styling change for progress bar
            </span>
        </li>
        <li>
            <label for="change14"><u>2012.05.04</u></label>
            <span id="change14" class="value">Updating Confirmation/Messaging/Alert Modals
            <br />
                Updating Icons
            </span>
        </li>
        <li>
            <label for="change13"><u>2012.05.03</u></label>
            <span id="change13" class="value">Resolved some IE inconsistencies...
            <br />
                Refactored scoreboard js methods into helpers.js
            <br />
                Alarm scoreboard improvements (critical, major, minor, warning)
            </span>
        </li>
        <li>
            <label for="change12"><u>2012.05.02</u></label>
            <span id="change12" class="value">Adding new loading spinner to tables
            <br />
                Updated Quick Menu to dark option Updated loading indicator
            </span>
        </li>
        <li>
            <label for="change11"><u>2012.05.01</u></label>
            <span id="change11" class="value">Made navigation focus state obvious and both menu item and arrow are tabbable.<br />
                New navigation behavior and styling changes.
            </span>
        </li>
        <li>
            <label for="change10"><u>2012.04.30</u></label>
            <span id="change10" class="value">Reverted changes in advanced wizard back to M1 release.<br />
                Added networking landing page.<br />
                Added a few translations that were missed in hardware inventory.
            </span>
        </li>
        <li>
            <label for="change9"><u>2012.04.25</u></label>
            <span id="change9" class="value">Added Help Icon for launching help system from inline page content. Sample in Advanced
            Wizard.
            </span>
        </li>
        <li>
            <label for="change8"><u>2012.04.23</u></label>
            <span id="change8" class="value">Added login page as menu option. Opens new window. Has code samples for html, js,
            and c#.
            </span>
        </li>
        <li>
            <label for="change7"><u>2012.04.20</u></label>
            <span id="change7" class="value">Added property to the task options for the grid to override the Drop Down List Item
            label/blank item<br />
            </span>
        </li>
        <li>
            <label for="change6"><u>2012.04.17</u></label>
            <span id="change6" class="value">Removed previous version of Topology Graph.<br />
                Added setFocus() method to advanceWizard.js to set focus to first input element
            when step is loaded or navigated to.
            </span>
        </li>
        <li>
            <label for="change5"><u>2012.04.16</u></label>
            <span id="change5" class="value">Added health indicator control.
            </span>
        </li>
        <li>
            <label for="change4"><u>2012.04.12</u></label>
            <span id="change4" class="value">Created DatePicker control<br />
                Added Enumeration for DateTime to Grid control (dataType: DellClarity.Grid.DataTypes.DateTime)<br />
                Added Sample in UI Framework Forms for Date Time Picker<br />
                Added Sample in UI Framework Grid for Date Time Picker in Filter
            </span>
        </li>
        <li>
            <label for="change3"><u>2012.04.10</u></label>
            <span id="change3" class="value">Added Helper for Toggling On/Off Help Messages<br />
                Removed "Try Again" from Login Control</span>
        </li>
        <li>
            <label for="change2"><u>2012.04.09</u></label>
            <span id="change2" class="value">Updated Icon Styles in Grid Toolbar<br />
                Added event listener to trigger change event on combo boxes</span>
        </li>
        <li>
            <label for="change1"><u>2012.04.06</u></label>
            <span id="change1" class="value">Initial Changelog Creation</span>
        </li>
    </ul>
</section>
