﻿DellClarity.Localization.Translations = {
    genericTerms: {
        about: 'Info',
        confirm: 'Bestätigen',
        save: 'Speichern',
        cancel: 'Abbrechen',
        enabled: 'Aktiviert',
        disabled: 'Deaktiviert',
        expand: 'Erweitern',
        collapse: 'Reduzieren',
        select: 'Auswählen',
        url: 'Url',
        response: 'Reaktion',
        lineNumber: 'Zeilennummer',
        minimize: 'Minimieren',
        maximize: 'Maximieren',
        normal: 'Normal'
    },
    core: {
        confirm: 'Bestätigen',
        genericexception: 'Ein Fehler ist aufgetreten.',
        networkexception: 'Eine Netzwerkausnahme ist aufgetreten. Bitte klicken Sie auf Ihrem Browser auf Aktualisieren.',
        enabled: 'Aktiviert',
        disabled: 'Deaktiviert',
        nopassword: 'Kein Kennwort',
        stars: '********',
        select: 'Auswählen',
        actionInProgress: 'Eine Maßnahme wird ausgeführt',
        pleaseWait: 'Bitte warten...'
    },
    validation: {
        required: 'Bitte füllen Sie dieses Feld aus',
        pattern: 'Bitte verwenden Sie das erforderliche Format: {title}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: 'Geben Sie eine E-Mail-Adresse (z.B. JohnDoe@domain.com) ein',
        },
        url: {
            hint: 'http://',
            example: 'Geben Sie eine Website-Adresse (z.B. http://company.com) ein',
        },
        number: {
            example: 'Geben Sie eine Nummer (z.B. {example}) ein',
            invalidMin: 'Wert muss mindestens {min} sein',
            invalidMax: 'Wert muss maximal {max} sein',
            invalidRange: 'Wert muss zwischen {min} und {max} liegen',
            invalidStep: 'Wert muss ein Inkrement von {step} von {min} sein',
        },
        date: {
            hint: 'TT/MM/JJJJ',
            example: 'Geben Sie ein Datum (z.B. {example}) ein',
            invalidMin: 'Wert muss am oder nach {min} sein',
            invalidMax: 'Wert muss am oder vor {max} sein',
            invalidRange: 'Wert muss zwischen {min} und {max} liegen',
            invalidStep: {
                days: 'Wert muss ein Inkrement von {step} Tagen von {min} sein',
                hours: 'Wert muss ein Inkrement von {step} Stunden von {min} sein',
                minutes: 'Wert muss ein Inkrement von {step} Minuten von {min} sein',
            },
        },
        datetime: {
            hint: 'TT/MM/JJJJ hh:mm',
            example: 'Geben Sie ein Datum und eine Uhrzeit (z.B. {example}) ein',
        }
    },
    table: {
        zeroRecords: "Es stehen keine Objekte zur Verfügung.",
        loadingData: 'Daten werden geladen...',
        tasks: 'Andere Tasks'
    },
    wizard: {
        cancel: "Abbrechen",
        saveAndContinue: 'Speichern und Fortfahren',
        next: "Weiter",
        finish: "Fertigstellen",
        stepXofY: "Schritt %%currentStep%% von %%totalSteps%%",
        submit: "Senden",
        save: "Speichern",
        confirmcanceltitle: "Bestätigen",
        confirmcancel: "Sind Sie sicher, dass Sie abbrechen möchten?",
        successtitle: "Erfolgreich",
        successmessage: "Ihre Änderungen wurden erfolgreich gespeichert."
    },
    loadingText: {
        loading: "Wird geladen...",
        noData: "Keine Daten verfügbar"
    },
    dateFilterText: {
        from: "Von: ",
        to: "An: "
    }
};