﻿DellClarity.Localization.Translations = {
    genericTerms: {
        about: '关于',
        confirm: '确认',
        save: '保存',
        cancel: '取消',
        enabled: '已启用',
        disabled: '已禁用',
        expand: '扩展',
        collapse: '折叠',
        select: '选择',
        url: 'URL',
        response: '响应',
        lineNumber: '行号',
        minimize: '最小化',
        maximize: '最大化',
        normal: '正常'
    },
    core: {
        confirm: '确认',
        genericexception: '发生错误。',
        networkexception: '发生网络异常。 请单击您浏览器上的刷新按钮。',
        enabled: '已启用',
        disabled: '已禁用',
        nopassword: '无密码',
        stars: '********',
        select: '选择',
        actionInProgress: '正在执行操作',
        pleaseWait: '请稍候...'
    },
    validation: {
        required: '请填写此字段',
        pattern: '请使用要求的格式：{title}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: '请输入电子邮件地址（例如  JohnDoe@domain.com）',
        },
        url: {
            hint: 'http://',
            example: '请输入网站地址（例如 http://company.com）',
        },
        number: {
            example: '请输入号码（例如 {example}）',
            invalidMin: '值必须为至少 {min}',
            invalidMax: '值不得大于 {max}',
            invalidRange: '值必须介于 {min} 和 {max} 之间',
            invalidStep: 'Value 必须为从 {min} 开始并且增量为 {step} 的数字',
        },
        date: {
            hint: 'mm/dd/yyyy',
            example: '请输入日期（例如 {example}）',
            invalidMin: '值必须为或晚于 {min}',
            invalidMax: '值必须为或早于 {max}',
            invalidRange: '值必须介于 {min} 和 {max} 之间',
            invalidStep: {
                days: '值必须为从 {min} 开始并且增量为 {step} 天的日期',
                hours: '值必须为从 {min} 开始并且增量为 {step} 小时的时间',
                minutes: '值必须为从 {min} 开始并且增量为 {step} 分钟的时间',
            },
        },
        datetime: {
            hint: 'mm/dd/yyyy hh:mm pm',
            example: '请输入日期和时间（例如 {example}）',
        }
    },
    table: {
        zeroRecords: "无可用项目。",
        loadingData: '正在加载数据...',
        tasks: '其他任务'
    },
    wizard: {
        cancel: "取消",
        saveAndContinue: '保存并继续',
        next: "下一步",
        finish: "完成",
        stepXofY: "步骤 %%currentStep%%/%%totalSteps%%",
        submit: "提交",
        save: "保存",
        confirmcanceltitle: "确认",
        confirmcancel: "是否确定要取消？",
        successtitle: "成功",
        successmessage: "已成功保存您所做的更改。"
    },
    loadingText: {
        loading: "正在加载...",
        noData: "无可用数据"
    },
    dateFilterText: {
        from: "发件人：",
        to: "收件人："
    }
};