/// <summary>
/// NOTE: This version of this control is not supported in DellClarity 2.5.
/// A new version of this control will be created soon and will be compatible with the new API.
/// </summary>
if (DellClarity.Config.apiVersion < 2.5) {
    DellClarity.ChassisFront = {
        chassisFrontTemplateUrl: "templates/chassisfronttemplate.html",
        chassisFrontTemplateName: "chassisfronttemplate",

        idIncrementer: 0,

        CreateChassisFront: function (chassisModel) {

            var initialized = false;

            var id = DellClarity.ChassisFront.idIncrementer;

            DellClarity.ChassisFront.idIncrementer = DellClarity.ChassisFront.idIncrementer + 1;

            return {
                model: chassisModel,

                id: "chassisfront" + id,

                initialize: function () {
                    if (initialized) {
                        this.reset();
                    }

                    DellClarity.Resources.loadTemplate(DellClarity.ChassisFront.chassisFrontTemplateName, DellClarity.ChassisFront.chassisFrontTemplateUrl);

                    var self = this;

                    initialized = true;
                }
            };
        }
    };

}
