/// <summary>
/// NOTE: This version of this control is not supported in DellClarity 2.5.
/// A new version of this control will be created soon and will be compatible with the new API.
/// </summary>
if (DellClarity.Config.apiVersion < 2.5) {
    //TODO: migrate to jQuery

    //
    // Represents a panel containing device information.
    //
    DellClarity.DeviceInfoPanel = Class.extend({
        init: function () {
        },

        create: function (type, name) {

            var template = '<div class="skyhawk_deviceInfo clearFloats"><div class="inner">' +
                            '   <div class="badge #{image}" style="#{displayImage}"></div>' +
                            '   <div class="first" style="#{displayName}">' +
                            '       <div class="label">Name:</div>' +
                            '       <div class="value"><span>#{name}</span></div>' +
                            '</div>';

            var image = '';
            if (type) {
                image = 'skyhawk_' + ('Logical Group' == type ? 'logicalgroup' : type.replace(" ", "").toLowerCase()) + 'Badge';
            }

            return (new DellClarity.StringTemplate(template)).evaluate({
                'image': image,
                'displayImage': image ? '' : 'display: none',
                'name': name,
                'displayName': name ? '' : 'display: none'
            });
        },

        empty: function () {

            return '<div class="containerTop"></div>' +
                   '<div class="containerCenter">' +
                   '    <div id="headerContainerInfo"></div>' +
                   '    <div id="tabContainer"></div>' +
                   '</div>' +
                   '<div class="containerBottom"></div>';
        }
    });
}
