<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_about">
    <header class="visuallyhidden">
        <h1>
            <fmt:message key="about.title" />
        </h1>
    </header>
    <div class="aboutLogo">
    </div>
    <div id="applicationname" class="aboutApplicationName" data-bind="text: applicationname"></div>

    <div class="clearfix" style="margin: 20px 0;" />

    <ul id="values" class="labelValuePairs">
        <!-- ko foreach: values -->
        <li>
            <label for="namevaluepair">
                <u data-bind="text: label"></u>
            </label>
            <span id="namevaluepair" class="value" data-bind="text: value"></span>
        </li>
        <!-- /ko -->

        <!-- ko if: contributors && contributors.length > 0 -->
        <li>
            <label for="namevaluepair">
                <u>
                    <fmt:message key="about.contributors" />
                </u>
            </label>
            <div class="value autoscrollWrapper marginTop5 marginLeft5">
                        <div data-bind="text: contributors.join(', ')"></div>
            </div>
        </li>
        <!-- /ko -->

        <!-- ko if: opensource && opensource.length > 0 -->
        <li>
            <span class="value" data-bind="text: opensource"></span>
        </li>
        <!-- /ko -->
        <!-- ko if: copyright && copyright.length > 0 -->
        <li>
            <textarea id="copyright" class="value" cols="120" rows="8" style="width: 95%;" data-bind="html: copyright"></textarea>
        </li>
        <!-- /ko -->

    </ul>
</section>
