<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section class="loginControl">
    <div id="logincontainer">
        <form class="loginform" autocomplete="off">
            <div align="center">
                <div style="padding-bottom: 1.5em;">
                    <div style="display: inline">
                        <label class="loginlabel" for="username">
                            <fmt:message key="login.usernameLabel" />
                        </label>
                    </div>
                    <div style="display: inline">
                        <input class="value" required autofocus maxlength="256" id="username" type="text"
                        data-bind="disable: verifyingCredentials, value: model.username,  event: {input: DellClarity.Controls.Login.validateUsername}, valueUpdate: 'input'" />
                    </div>
                </div>

                <div style="padding-bottom: 2em;">
                    <div style="display: inline">
                        <label class="loginlabel" for="password">
                            <fmt:message key="login.passwordLabel" />
                        </label>
                    </div>

                    <div style="display: inline">
                        <input class="value" required maxlength="256" id="password" type="password"
                            data-bind="disable: verifyingCredentials, value: model.password, valueUpdate: 'afterkeydown'" />
                    </div>
                </div>
            </div>
            <!--<div role="alert" id="loginErrorMessage" data-bind="visible: failedLogin() && !verifyingCredentials()">
                <fmt:message key="login.error.UsernameOfPasswordIsIncorrect" />
            </div>-->
            <!--<div id="lower" align="center">-->
            <div class="loginbuttondiv" align="center">
                <button id="btnLogin" type="submit"
                    data-bind="enable: shouldNextButtonBeEnabled" class="cux-button cux-button-primary cux-button-large progress-button" data-loading="Login" data-finished="Login" data-type="background-horizontal">
                    <fmt:message key="login.loginButton" />
                </button>
                <button id="btnCancel" class="cux-button cux-button-large cux-button-danger" type="button"
                    data-bind="visible: failedLogin" style="width: 175px">
                    <fmt:message key="login.cancelButton" />
                </button>
            </div>
            <!--</div>-->
            <!--/ lower-->

        <!--</form>-->
    </div>
</section>
