<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div class="modalDialogOverlay" data-bind="visible: visible" style="z-index: 10000;">
    <article role="alertdialog" class="modalDialog statusIndicatorDialog" data-bind="style: { 'maxWidth': width() + 'px', 'maxHeight': height() + 'px', 'z-index': '10000'}">
        <div class="modalContentWrapper" style="z-index: 10000;">
            <table>
                <tbody>
                    <tr>
                        <td width="25%">
                            <!-- ko ifnot: iconClass -->
                                <!-- <span class="icon statusIndicator_48"></span> -->
                                <div class="loader"></div>
                            <!-- /ko -->

                            <!-- ko if: iconClass -->
                                <span data-bind="css: iconClass, text: title" />
                            <!-- /ko -->
                        </td>
                        <td>
                            <!-- ko if: title -->
                            <span id="modalTitle" class="status-indicator-modal-title" data-bind="text: title"></span>
                            <!-- /ko -->

                            <p id="modalContents" class="status-indicator-modal-contents" data-bind="html: contents">
                            </p>

                            <!-- ko foreach: items -->
                            <p data-bind="html: $data">
                            </p>
                            <!-- /ko -->
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </article>
</div>
