<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!-- ko if: $data && $data.isErrorModel -->
<header data-bind="visible: $data" style="top:30px">
    <h1 style="padding-left:1em">
        <span class="icon"></span>
    </h1>
    <a class="msgBoxClose cux-icon cux-icon-remove">
    </a>
</header>

<!-- ko if: $data && $data.isErrorModel -->
<div class="msgBoxContents">
    <!-- ko if: message -->
    <p data-bind="text: message"></p>
    <!-- /ko -->

    <!-- ko ifnot: message -->
    <p>
        <fmt:message key="messageBox.genericErrorMessage" />
    </p>
    <!-- /ko -->

    <!-- ko if: details -->
    <p data-bind="text: details"></p>
    <!-- /ko -->
    
    <!-- ko if: fieldErrors && !DellClarity.Config.ignoreFieldErrors -->
    <ul class="bulletedList" data-bind="foreach: fieldErrors">
        <li>
            <!-- ko if: field -->
            <label data-bind="text: field, attr: { 'for': field + '_errorMessage' }" />
            <!-- /ko -->

            <span class="value" data-bind="text: message, attr: { id: field + '_errorMessage' }" />

            <!-- ko if: details -->
            <p data-bind="text: details"></p>
            <!-- /ko -->
        </li>
    </ul>
    <!-- /ko -->
</div>
<!-- /ko -->
<!-- /ko -->
