<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div class="modalDialogOverlay"  data-bind="visible: visible">
	<article role="dialog" class="modalDialog" data-bind="class: fullscreen() ? 'fullscreen' : '', style: { 'maxWidth': effectiveWidth(), 'maxHeight': effectiveHeight() }">
		<header>
			<!-- ko if: title -->
			<h1 data-bind="text: title"></h1>
			<!-- /ko -->
		</header>
		<nav class="modalDialogTools">
		    <a class="modalHelp" data-bind="visible: isHelpVisible(), click: help">Help</a>
            <!-- ko if: fullscreen() == true  -->
			<a class="modalMinimize" data-bind="click: minimize">Minimize</a>
            <!-- /ko -->
            <!-- ko if: fullscreen() == false  -->
		    <a class="modalMaximize" data-bind="click: maximize">Maximize</a>
            <!-- /ko -->
			<i class="cux-icon cux-icon-remove modalClose" data-bind="visible: isCloseVisible(), click: close"></i>
		</nav>
		<div class="modalContentWrapper" data-bind="template: {name: contents().templateName, data: contents().model}">
		</div>
	</article>
</div>
