<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<ul data-bind="foreach: trees">
    <li>
        <span class="icon" data-bind="visible: children().length > 0, css: {open: state() == 'open'}, click: function() {var data = $data; DellClarity.TreeControl.toggle(data);}"></span>
        <span data-bind="text: title, click: function() {var data = $data; $parent.click(data);}"></span>
        <!-- ko if: children().length > 0 -->
        <div class="sublist" data-bind="visible: state() == 'open'">
            <div data-bind="template: { name: DellClarity.TreeControl.treeControlTemplateName, data: {click: $parent.click, trees: children}}">
            </div>
        </div>
        <!-- /ko -->
    </li>
</ul>
