<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="aboutPage" data-bind="with: DellClarity.SCVMM.ViewModel.About.aboutData">
<form id="copyRightForm">
    <fieldset>
        <legend id="applicationname"  data-bind="text: applicationname"></legend>
        <ul class="labelValuePairs" data-bind="foreach: values">
            <li>
                <label data-bind="indexedfor: 'nameValuePair'"><u data-bind="  text: label"></u></label>
                <span class="value" data-bind="text: value, indexedid: 'nameValuePair'"></span>
            </li>
        </ul>
    </fieldset>

    <!-- ko if: contributors && contributors.length > 0 -->
        <fieldset id="contributers"> 
            <legend><fmt:message key="about.contributors" /></legend>
            <ul class="bulletedList" data-bind="foreach: contributors">
                <li>
                    <span data-bind="text: $data"></span>
                </li>
            </ul>
        </fieldset>
    <!-- /ko -->
           
    <!-- ko if: opensource && opensource.length > 0 -->
        <fieldset id="openSource">
            <legend>Open Source Links</legend>
            <a target="_blank" data-bind="href: opensource, text: opensource"></a>
        </fieldset>
    <!-- /ko -->

    <!-- ko if: copyright && copyright.length > 0 -->
        <fieldset>
            <legend><fmt:message key="application.copyrighttitle" /></legend>
            <label class="visuallyhidden" for="copyright"><fmt:message key="application.copyrighttitle" /></label>
            <textarea readonly id="copyright" class="fieldLabel" cols="120" rows="5" style="width: 100%;" data-bind="html: 'Copyright &#169; 2009 - 2021 Dell Inc, or its subsidiaries. All Rights Reserved.'">
            </textarea>
        </fieldset>
    <!-- /ko -->
</form>
</section>
