<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_configanddeploy_serverview" style="float: left; min-width:100%;" data-bind="with: DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView">
    <section id="error_configanddeploy_serverview" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }"></section>
    <header class="page-heading">
        <h1>
            <fmt:message key="configanddeploy.serverview.title" />
        </h1>
    </header>
    <!-- <form> -->
    <!--ko if: DellClarity.Config.consoleType != 'scom' -->
    <p>
        <fmt:message key="configanddeploy.serverview.help" />
    </p>
    <!-- /ko -->

    <!--ko if: DellClarity.Config.consoleType == 'scom' -->
    <p>
        <fmt:message key="configanddeploy.serverview.help.scom" />
    </p>
    <!-- /ko -->

        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="configanddeploy.serverview.title" />
            </legend>
            <nav class="action-buttons">
                <ul class="inlineList configanddeploy-actions">
                    <li>
                        <button id="linkDiscoverForm" data-bind="styledDisabled: disableLink()" class="cui-button cux-button cux-button-medium cux-button-primary" type="button" onclick="window.location.href='#/discovery.discover'">
                            <i class="cux-icon cux-icon-search"></i>
                            <span>
                                <fmt:message key="configanddeploy.serverview.discover" />
                            </span>
                        </button>
                    </li>
                    <li>
                        <button id="linkRefresh" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                            <i class="cux-icon cux-icon-repeat"></i>
                            <span>
                                <fmt:message key="configanddeploy.serverview.refresh" />
                            </span>
                        </button>
                    </li>
                    <li>
                        <button id="remove" disabled="disabled" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                            <i class="cux-icon cux-icon-trash"></i>
                            <span>
                                <fmt:message key="configanddeploy.serverview.delete" />
                            </span>
                        </button>
                    </li>

                    <li>
                        <button id="sync" class="cui-button cux-button cux-button-medium cux-button-primary" type="button" onmouseover='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.enableDetails("sync")' onmouseout='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.disableDetails()'>
                            <i class="cux-icon cux-icon-refresh"></i>
                            <span data-bind="visible: detailsEnabled() != 'sync'">
                                <fmt:message key="configanddeploy.serverview.sync" />
                            </span>
                            <span data-bind="visible: detailsEnabled() == 'sync'">
                                <fmt:message key="configanddeploy.serverview.syncwith" />
                            </span>
                        </button>
                    </li>

                    <li>
                        <button id="resolveSyncErrors" onmouseover='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.enableDetails("resolvesyncerrors")' onmouseout='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.disableDetails()' data-bind="styledDisabled: disableLink()" class="cui-button cux-button cux-button-medium cux-button-primary" type="button">
                            <i class="cux-icon cux-icon-check"></i>
                            <span data-bind="visible: detailsEnabled() != 'resolvesyncerrors'">
                                <fmt:message key="configanddeploy.serverview.resolvesync" />
                            </span>
                            <span data-bind="visible: detailsEnabled() == 'resolvesyncerrors'">
                                <fmt:message key="configanddeploy.serverview.resolvesyncerrors" />
                            </span>
                        </button>
                    </li>

                    <li data-bind="visible: DellClarity.Config.consoleType != 'scom'">
                        <button id="assignAndCompliance" disabled="disabled" class="cui-button cux-button cux-button-medium cux-button-primary" type="button" onmouseover='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.enableDetails("assignandcompliance")' onmouseout='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.disableDetails()'>
                            <i class="cux-icon cux-icon-paste"></i>
                            <span data-bind="visible: detailsEnabled() != 'assignandcompliance'">
                                <fmt:message key="configanddeploy.serverview.assign" />
                            </span>
                            <span data-bind="visible: detailsEnabled() == 'assignandcompliance'">
                                <fmt:message key="configanddeploy.serverview.assignandcompliance" />
                            </span>
                        </button>
                    </li>
                    <li data-bind="visible: DellClarity.Config.consoleType != 'scom'">
                        <button id="lctDeploy" disabled="disabled" class="disabled cui-button cux-button cux-button-medium cux-button-primary" type="button" onmouseover='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.enableDetails("lctdeploy")' onmouseout='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.disableDetails()'>
                            <i class="cux-icon cux-icon-rocket"></i>
                            <span data-bind="visible: detailsEnabled() != 'lctdeploy'">
                                <fmt:message key="configanddeploy.serverview.deploy" />
                            </span>
                            <span data-bind="visible: detailsEnabled() == 'lctdeploy'">
                                <fmt:message key="configanddeploy.serverview.lctdeploy" />
                            </span>
                        </button>
                    </li>

                    <!-- <li>
                        <button id="assignComplianceProfile" disabled="disabled" class="cui-button cux-button cux-button-medium cux-button-primary" type="button" onmouseover='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.enableDetails("assigncomplianceprofile")' onmouseout='DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.disableDetails()'>
                            <i class="cux-icon cux-icon-paste"></i>
                            <span data-bind="visible: detailsEnabled() != 'assigncomplianceprofile'">
                                <fmt:message key="configanddeploy.serverview.assignprofile" />
                            </span>
                            <span data-bind="visible: detailsEnabled() == 'assigncomplianceprofile'">
                                <fmt:message key="configanddeploy.serverview.assigncomplianceprofile" />
                            </span>
                        </button>
                    </li> -->
                </ul>
            </nav>

            <!--ko if: DellClarity.Config.consoleType != 'scom' -->
            <nav style="padding-top:0.5em;" id="tabMenu" class="menu tabs" role="navigation">
                <ul>
                    <li>
                        <a href="#/configanddeploy.serverview">
                            <fmt:message key="configanddeploy.serverview.baremetalservers" />
                        </a>
                    </li>
                    <li>
                        <a href="#/configanddeploy.serverview/hosts">
                            <fmt:message key="configanddeploy.serverview.hosts" />
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- /ko -->

            <section class="tabPanel" data-bind="visible: activeTab() == 'servers'">
                <table id="unassignedtablegrid" class="dataTable"></table> 
                <div id="unassignedtablegridpager"></div>
            </section>

            <section class="tabPanel" data-bind="visible: activeTab() == 'hosts'">

                <fieldset>

                    <legend class="visuallyhidden">
                        <fmt:message key="configanddeploy.serverview.title" />
                    </legend>
                 
                    <div style="padding-bottom: 1em; padding-top: 1em;">
                        <strong><fmt:message key="configanddeploy.serverview.selecthostgroup" /></strong>
                        <label for="selHostGroup" class="visuallyhidden">
                            <u>
                                <fmt:message key="configanddeploy.serverview.selecthostgroup" />
                            </u>
                        </label>

                        <select id="selHostGroup" data-bind="options: DellClarity.SCVMM.ViewModel.ConfigAndDeploy.ServerView.hostGroupsList,
                            optionsText: 'name',
                            optionsValue: 'name',
                            value: selectedHostGroup"></select>

                    </div>
                </fieldset>
                <div style="margin-top:5px">
                <table  id="hosttablegrid" class="dataTable"></table> 
                <div id="hosttablegridpager"></div>
                  </div> 
            </section>
        </fieldset>
    <!-- </form> -->
</section>
