<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_deployment_firmwareBaseline" data-bind="with: DellClarity.SCVMM.ViewModel.Deployment.FirmwareBaseline">
    <header>
        <h1>
            <fmt:message key="firmwareupdatewizard.baselineselection.firmwareupdate" />
        </h1>
    </header>
    <p>
        <fmt:message key="firmwareupdatewizard.baselineselection.help" />
    </p>
    <form id="firmwareBaselineForm" autocomplete="off">
        <fieldset>
            <legend>
                <fmt:message key="firmwareupdatewizard.baselineselection.firmwarebaseline" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <input type="radio" id="dellPdkCatalog" name="firmwareBaselineChoice" class="value" value="pdkCatalog" data-bind="checked: baselineChoice" />
                    <label for="dellPdkCatalog">
                        <u>
                            <fmt:message key="firmwareupdatewizard.baselineselection.dellpdkcatalog" />
                        </u>
                    </label>
                    <p>
                        <fmt:message key="firmwareupdatewizard.baselineselection.cataloghelp" />
                    </p>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="catalogpath">
                                <u>
                                    <fmt:message key="firmwareupdatewizard.baselineselection.catalogpath" />
                                </u>
                            </label>
                            <input id="catalogpath" type="file" data-bind="enable: baselineChoice() == 'pdkCatalog', attr:{required: baselineChoice() === 'pdkCatalog'}">
                            <ul class="labelValuePairs">
                                <li>
                                    <label for="catalogpathusername">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.catalogpathusername" />
                                        </u>
                                    </label>
                                    <input id="catalogpathusername" type="text" value="" placeholder="Username" class="value"
                                        data-bind="enable: baselineChoice() == 'pdkCatalog', value: catPathUserName, attr:{required: baselineChoice() === 'pdkCatalog'}">
                                </li>
                                <li>
                                    <label for="catalogpathPassword">
                                        <u>
                                            <fmt:message key="firmwareupdatewizard.baselineselection.catalogpathpassword" />
                                        </u>
                                    </label>
                                    <input id="catalogpathPassword" type="password" value="" placeholder="Password" class="value"
                                        data-bind="enable: baselineChoice() == 'pdkCatalog', value: catPathPassword, attr:{required: baselineChoice() === 'pdkCatalog'}">
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li>
                    <input type="radio" id="ftpDell" name="firmwareBaselineChoice" class="value" value="ftpDellCom" data-bind="checked: baselineChoice" />
                    <label for="ftpDell">
                        <u>
                            <fmt:message key="firmwareupdatewizard.baselineselection.ftpdell" />
                        </u>
                    </label>
                </li>
                <li>
                    <input type="radio" id="firmwareInventoryProfile" name="firmwareBaselineChoice" class="value" value="firmwareInventoryProfile" data-bind="checked: baselineChoice" />
                    <label for="firmwareInventoryProfile">
                        <u>
                            <fmt:message key="deployment.baselineselection.firmwareinventoryprofile" />
                        </u>
                    </label>
                    <ul class="labelValuePairs">
                        <li>
                            <label for="catalogpathusername">
                                <u>
                                    <fmt:message key="deployment.baselineselection.firmwareinventoryprofilePath" />
                                </u>
                            </label>
                            <span class="value">
                                <label for="inventoryprofilepath" class="visuallyhidden">
                                    <u>
                                        <fmt:message key="deployment.baselineselection.firmwareinventoryprofilePath" />
                                    </u>
                                </label>
                                <input id="inventoryprofilepath" type="file" data-bind="enable: baselineChoice() == 'firmwareInventoryProfile', attr:{requirement: baselineChoice() == 'firmwareInventoryProfile'}">
                            </span>
                        </li>
                    </ul>
                </li>
            </ul>
        </fieldset>
    </form>
</section>
