<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_firmwareupdate_scheduletemplate"  data-bind="with: DellClarity.SCVMM.ViewModel.FirmwareUpdate.Schedule">
    <header>
        <h1>
            <fmt:message key="firmwareupdatewizard.scheduleupdate.title" />
        </h1>
    </header>
    <p>
        <fmt:message key="firmwareupdatewizard.scheduleupdate.help" />
    </p>
    <form id="scheduleForm">
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="firmwareupdatewizard.scheduleupdate.title" /></legend>
            <ul class="labelValuePairs">
                <li>
                     <input id="enterMaintenanceMode" name="rbEnterMaintenanceMode" class="value" type="radio" value="maintenanceMode" data-bind="checked: scheduleUpdate"/>
                     <label for="enterMaintenanceMode">
                     <u><fmt:message key="firmwareupdatewizard.scheduleupdate.entermaintenance" /></u>
                    </label>
                    <p>
                        <fmt:message key="firmwareupdatewizard.scheduleupdate.entermaintenancehelp" />
                    </p>
                </li>
                <li>
                    <input id="applyUpdate" name="rbApplyUpdate" class="value" type="radio" value="applyOnNextReboot" data-bind="checked: scheduleUpdate"/>
                    <label for="applyUpdate">
                        <u><fmt:message key="firmwareupdatewizard.scheduleupdate.applyupdateonnextreboot" /></u>
                    </label>
                    <p>
                        <fmt:message key="firmwareupdatewizard.scheduleupdate.applyupdateonnextreboothelp" />
                    </p>
                </li>
                <li>
                    <input id="forceReboot" name="rbForceReboot" class="value" type="radio" value="forceReboot" data-bind="checked: scheduleUpdate"/>
                    <label for="forceReboot">
                        <u><fmt:message key="firmwareupdatewizard.scheduleupdate.applyupdate" /></u>
                    </label>
                    <p>
                        <fmt:message key="firmwareupdatewizard.scheduleupdate.applyupdatehelp" />
                    </p>
                </li>
                <li> 
                    <span class="label">
                        <u>
                             <input id="scheduleUpdate" name="rbScheduleUpdate" class="value" type="radio" value="scheduleUpdate" data-bind="checked: scheduleUpdate"/> 
                              <label for="scheduleUpdate">
                                <fmt:message key="firmwareupdatewizard.scheduleupdate.scheduleupdate" />
                             </label>
                        </u>
                    </span>
                    <span class="value">
                        <label for="scheduleUpdateTime" class="visuallyhidden">
                            <u><fmt:message key="firmwareupdatewizard.scheduleupdate.scheduledate" /></u>
                        </label>
                        <input type="datetime-local" id="scheduleUpdateTime" name="scheduleUpdateTime" data-bind="enable: scheduleUpdate() == 'scheduleUpdate', value: scheduledTime,
                                                                                                                                   attr:{required: scheduleUpdate() == 'scheduleUpdate'}" />
                    </span> 
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend><fmt:message key="firmwareupdatewizard.scheduleupdate.jobdetails" /></legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="jobName"> <u><fmt:message key="firmwareupdatewizard.scheduleupdate.jobname" /></u></label>
                    <input type="text" id="jobName" name="jobName" class="value" required data-bind="value: jobName"/>
                </li>
                <li>
                    <label for="jobDescription"><u><fmt:message key="firmwareupdatewizard.scheduleupdate.jobdescription" /></u></label>
                    <textarea id="jobDescription" name="jobDescription" class="value" data-bind="value: jobDescription"/>
                </li>
                <li>
                    <input type="checkbox" id="goToJob" name="goToJob" class="value" data-bind="checked: goToJob"/>
                    <label for="goToJob"><u><fmt:message key="firmwareupdatewizard.scheduleupdate.gotojob"/></u></label>                 
                </li>
            </ul>
        </fieldset>
    </form>
</section>
