<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_biossettings">
    <header>
        <h1>
            <fmt:message key="hardwareprofile.biossettings.title" />
        </h1>
    </header>

    <!-- ko with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model -->
        <!-- ko foreach: biosSettings.categories -->
            <section>
                <header>
                    <h1>
                        <a class="toggleSection" data-bind="css: {expand: !isExpanded(), collapse: isExpanded()}, text: isExpanded() ? DellClarity.SCVMM.Translations.genericterms.Collapse : DellClarity.SCVMM.Translations.genericterms.Expand"></a>&nbsp;
                                <span data-bind="text: name"></span>
                        <a class="editlink" data-bind="visible: isExpanded, attr: {href: '#/hardwareProfile.edit.category/biosSettings/' + $index()}">
                            <fmt:message key="hardwareprofile.common.edit" />
                        </a>
                    </h1>
                </header>

                <ul class="labelValuePairs" data-bind="foreach: settings, visible: isExpanded">
                    <!-- ko if: type() !== 'select' -->
                    <li>
                        <label data-bind="indexedfor: id"><u data-bind="text: name"></u></label>
                        <span class="value" data-bind="text: value.value, indexedid: id"></span>
                        
                        <ul class="labelValuePairs">
                            <!-- ko foreach: subSettings -->
                            <!-- ko if: type() !== 'select' -->
                            <li>
                                <label data-bind="indexedfor: id"><u data-bind="    text: name"></u></label>
                                <span class="value" data-bind="text: value.value, indexedid: id"></span>
                            </li>
                            <!-- /ko -->
                            <!-- ko if: type() === 'select' -->
                            <li>
                                <label data-bind="attr: { for: id }"><u data-bind="    text: name"></u></label>
                                <span class="value" data-bind="text: value.value(), attr: { id: id }"></span>
                            </li>
                            <!-- /ko -->
                            <!-- /ko -->
                        </ul>
                    </li>
                    <!-- /ko -->
                    <!-- ko if: type() === 'select' -->
                    <li>
                        <label data-bind="attr: { for: id }"><u data-bind="text: name"></u></label>
                        <span class="value" data-bind="text: value.value(), attr: { id: id }"></span>
                    
                        <ul class="labelValuePairs">
                            <!-- ko foreach: subSettings -->
                            <!-- ko if: type() !== 'select' -->
                            <li>
                                <label data-bind="indexedfor: id"><u data-bind="text: name"></u></label>
                                <span class="value" data-bind="text: value.value, indexedid: id"></span>
                            </li>
                            <!-- /ko -->
                            <!-- ko if: type() === 'select' -->
                            <li>
                                <label data-bind="attr: { for: id }"><u data-bind="text: name"></u></label>
                                <span class="value" data-bind="text: value.value(), attr: { id: id }"></span>
                            </li>
                            <!-- /ko -->
                            <!-- /ko -->
                        </ul>
                    </li>
                    <!-- /ko -->
                </ul>
            </section>
        <!-- /ko -->
        
    <!-- /ko -->
</section>
