<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_edit_boot_settings">
    <form>
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="hardwareprofile.bootsettings.bootmode" /></legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="bootModeSettings"><u><fmt:message key="hardwareprofile.bootsettings.bootmode" /></u></label>
                    <select id="bootModeSettings" class="value" data-bind="options: DellClarity.SCVMM.ViewModel.HardwareProfile.BootSettings.Constants.Mode, value: mode"></select>
                </li>
            </ul>
        </fieldset>
            
        <div data-bind="template: DellClarity.Navigation.viewMap.hardwareProfile.edit.sequence.html"></div>

        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="hardwareprofile.bootsettings.bootsequenceretry" /></legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="sequenceRetry"><u><fmt:message key="hardwareprofile.bootsettings.bootsequenceretry" /></u></label>
                    <select id="sequenceRetry" class="value" data-bind="options: DellClarity.SCVMM.ViewModel.HardwareProfile.BootSettings.Constants.Retry, optionsText:'name', optionsValue: 'value', value: retry"></select>
                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="btnHardwareProfileBootSettingsSave" type="submit">
                <fmt:message key="genericTerms.save" />
            </button>
            <button id="btnHardwareProfileBootSettingsCancel" type="button">
                <fmt:message key="genericTerms.cancel" />
            </button>
        </div>
    </form>
</section>
