<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwareprofile_edit_category_template">
    <form>
        <fieldset>
            <legend class="visuallyhidden" data-bind="text: name"></legend>
            <ul class="labelValuePairs" data-bind="foreach: settings">
                <li>
                    <label data-bind="indexedfor: 'userinput_'"><u data-bind="text: name"></u></label>

                    <!-- ko if: readonly() && type().toLowerCase() !== 'select' -->
                    <span class="value" data-bind="text: value.value(), indexedid: 'userinput_'"></span>
                    <!-- /ko -->
                    
                    <!-- ko if: readonly() && type().toLowerCase() === 'select' -->
                    <span class="value" data-bind="text: value() .value(), indexedid: 'userinput_'"></span>
                    <!-- /ko -->

                    <!-- ko if: !readonly() && (isNullUndefinedOrEmpty(type()) || type().toLowerCase() == 'text') -->
                    <input type="text" class="value" data-bind="value: value.value, indexedid: 'userinput_'" />
                    <!-- /ko -->
                    <!-- ko if: !readonly() && !isNullUndefinedOrEmpty(type()) && type().toLowerCase() == 'select' -->
                    <select class="value" data-bind="options: options, value: value, optionsText: 'value', indexedid: 'userinput_'"></select>
                    <!-- /ko -->
                    <ul class="labelValuePairs">
                        <!-- ko foreach: subSettings -->
                        <li> 
                            <label data-bind="indexedfor: 'edit_' + id()"><u data-bind="text: name"></u></label>

                            <!-- ko if: (isNullUndefinedOrEmpty(type())) || type().toLowerCase() == 'text' -->
                            <input type="text" class="value" data-bind="value: value.value, indexedid: 'edit_' + id(), styledDisabled: $parent.value().value() === 'Disabled' || $parent.value().value() === 'Off' || $parent.value().value() === 'Disable' " />
                            <!-- /ko -->
                            <!-- ko if: !isNullUndefinedOrEmpty(type()) && type().toLowerCase() == 'select' -->
                            <select class="value" data-bind="options: options, value: value, optionsText: 'value', indexedid: 'edit_' + id(), styledDisabled: $parent.value().value() === 'Disabled' || $parent.value().value() === 'Off' || $parent.value().value() === 'Disable' || $parent.value().value() ==='Disabled (OS)' "></select>
                            <!-- /ko -->
                        </li>
                        <!-- /ko -->
                    </ul>
                </li>
            </ul>
            <p data-bind="visible: DellClarity.SCVMM.ViewModel.HardwareProfile.Edit.Category.hasSubSettings() === true">
                <strong><fmt:message key="hardwareprofile.biossettings.warning" /></strong><fmt:message key="hardwareprofile.biossettings.warningText" />
            </p>
            <div class="sectionEditButtons">
                <button id="btnHardwareProfileCategorySave" type="submit">
                    <fmt:message key="genericTerms.save" />
                </button>
                <button id="btnHardwareProfileCategoryCancel" type="button">
                    <fmt:message key="genericTerms.cancel" />
                </button>
            </div>
        </fieldset>
    </form>
</section>
