<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_hardwarenameanddescription_template" data-bind="with: DellClarity.SCVMM.ViewModel.HardwareProfile.NameAndDescription">
    <section id="error_nameAndDescription" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />

    <header>
        <h1><fmt:message key="hardwareprofile.nameanddescription.title" />
        </h1>
    </header>
    <p>
        <fmt:message key="hardwareprofile.nameanddescription.help" />
    </p>
    <form>
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="hardwareprofile.nameanddescription.legend" /></legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="hardProfName">
                        <u><fmt:message key="hardwareprofile.nameanddescription.hardwareprofilename" /></u>
                    </label>
                    <input id="hardProfName" type="text" class="value" data-bind="value: name, event:{keyup:DellClarity.SCVMM.capsText, blur:DellClarity.SCVMM.trimText}, valueUpdate:'input', styledDisabled: DellClarity.SCVMM.ViewModel.HardwareProfile.ProfileDetails.model().gettingSettings() === true" required pattern="^.{1,30}$" title='<fmt:message key="hardwareprofile.nameanddescription.namemaxlength" />' />
                </li>
                <li>
                    <label for="hardProfDescription">
                        <u><fmt:message key="hardwareprofile.nameanddescription.hardwareprofiledescription" /></u>
                    </label>
                    <textarea class="value" id="hardProfDescription" maxlength="255" data-bind="value: description, styledDisabled: DellClarity.SCVMM.ViewModel.HardwareProfile.ProfileDetails.model().gettingSettings() === true" title='<fmt:message key="hardwareprofile.description.title" />'></textarea>
                </li>
                <li>
                    <label for="ipAddress">
                        <u><fmt:message key="hardwareprofile.nameanddescription.referenceserver" /></u>
                    </label>
                    <input id="ipAddress" type="text" value="" class="value" placeholder="192.168.0.1" 
                           data-bind="styledDisabled: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.hasReferenceServer() === true || DellClarity.SCVMM.ViewModel.HardwareProfile.ProfileDetails.model().gettingSettings() === true, value: referenceServerIdracIp, pattern: 'ipv4'"  
                            title="<fmt:message key="discovery.discoveraction.IPErrorMessage"/>" required />
                </li>
            </ul>
        </fieldset>
    </form>
</section>
