<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_deployment_summary">
    <section id="error_hwProfileSave" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />

    <header>
        <h1><fmt:message key="hardwareprofile.summary.title" /></h1>
    </header>

    <p>
        <fmt:message key="hardwareprofile.summary.help" />
    </p>
    
    <fieldset>
        <legend><fmt:message key="hardwareprofile.summary.summaryInfo" /></legend>
        <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model">
            <li>
                <label for="referenceServerSummary"><u><fmt:message key="hardwareprofile.summary.referenceServer" /></u></label>
                <span id="referenceServerSummary" class="value" data-bind="text: referenceServerIdracIp()"></span>
            </li>
            <li data-bind="with: DellClarity.SCVMM.ViewModel.HardwareProfile.Summary">
                <label for="primaryBootDevice"><u><fmt:message key="hardwareprofile.summary.primaryBoot" /></u></label>
                <span id="primaryBootDevice" class="value" data-bind="text: primaryBootDevice"></span>
            </li>
        </ul>
    </fieldset>
    <fieldset>
        <legend><fmt:message key="hardwareprofile.summary.details" /></legend>
        <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model">
            <li>
                <label for="dateCreated"><u><fmt:message key="hardwareprofile.summary.dateCreated" /></u></label>
                <span id="dateCreated" class="value" data-bind="text: dateCreated"></span>
            </li>
            <li>
                <label for="dateModified"><u><fmt:message key="hardwareprofile.summary.dateModified" /></u></label>
                <span id="dateModified" class="value" data-bind="text: (dateModified() !== null && dateModified() !== 'Unknown') ? dateModified : DellClarity.SCVMM.Translations.genericterms.NotAvailable"></span>
            </li>
            <li>
                <label for="lastModifiedBy"><u><fmt:message key="hardwareprofile.summary.lastModified" /></u></label>
                <span id="lastModifiedBy" class="value" data-bind="text: (lastModifiedBy() !== null && lastModifiedBy() !== 'Unknown') ? lastModifiedBy : DellClarity.SCVMM.Translations.genericterms.NotApplicable"></span>
            </li>
        </ul>
    </fieldset>
    <!-- ko with: DellClarity.SCVMM.ViewModel.HardwareProfile.Wizard.model -->
    <p><strong><fmt:message key="hardwareprofile.summary.description" /></strong></p>
    <p id="hardwareSummaryDescription" data-bind="text: description"></p>
    <!-- /ko -->
</section>
