<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="nameAndDescriptionHyperVSection" data-bind="with: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.model">
    <section id="error_nameAndDescription" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <header>
        <h1>
            <fmt:message key="hypervisorprofile.title" />
        </h1>
    </header>
    <form id="hyperVisorProfileForm">
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="hypervisorprofile.title" />
            </legend>
            <p>
                <fmt:message key="hypervisorprofile.nameanddescription" />
            </p>
            <ul class="labelValuePairs">
                <li>
                    <label for="hyperProfName">
                        <u>
                            <fmt:message key="hypervisorprofile.name" />
                        </u>
                    </label>
                    <input id="hyperProfName" name="hyperProfName" required type="text" value="" class="value" data-bind="value: name, event:{keyup:DellClarity.SCVMM.capsText, blur:DellClarity.SCVMM.trimText}, valueUpdate:'input'" maxlength="30" pattern="^.{1,30}$" title='<fmt:message key="hypervisorprofile.name.hint" />' >
                </li>
                <li>
                    <label for="hyperProfDescription">
                        <u>
                            <fmt:message key="hypervisorprofile.description" />
                        </u>
                    </label>
                    <textarea id="hyperProfDescription" name="hyperProfDescription" class="value" maxlength="255" data-bind="value: description" title='<fmt:message key="hypervisorprofile.description.title" />'></textarea>
                </li>
            </ul>
        </fieldset>
    </form>
</section>
