<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="hypervisorWizardScvmmInfoSection">
    <section id="error_scvmmInfo" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <header><h1><fmt:message key="hypervisorprofile.scvmminformation.title"/></h1></header>
    <form>
        <fieldset>
            <legend class="visuallyhidden"><fmt:message key="hypervisorprofile.scvmminformation.title"/></legend>
            <p><fmt:message key="hypervisorprofile.scvmminformation.help"/></p>
            <ul class="labelValuePairs" data-bind="with: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.model">
                <li>
                    <label for="scvmmHostGroup">
                        <u>
                            <fmt:message key="hypervisorprofile.hypervhostgroupdestination" />
                        </u>
                    </label>
                    <div class="value" >
                        <span class="icon spinner" data-bind="visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === true"></span>
                        <select id="scvmmHostGroup" name="scvmmHostGroup" required
                                data-bind="options: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.scvmmHostGroups, visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === false, optionsText: 'name', 
                                optionsCaption: '<fmt:message key="hypervisorprofile.selectgroup"/>', optionsValue: 'name', value: scvmmHostGroupName">
                        </select>
                    </div>
                </li>
                <li>
                    <label for="scvmmHostProfile">
                        <u>
                            <fmt:message key="hypervisorprofile.scvmmhostprofile" />
                        </u>
                    </label>
                    <div class="value">
                        <span class="icon spinner" data-bind="visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === true"></span>
                        <select id="scvmmHostProfile" name="scvmmHostProfile" required
                                data-bind="options: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.scvmmHostProfiles, visible: DellClarity.SCVMM.ViewModel.HypervisorProfile.Wizard.gettingSettings() === false,
                                optionsText: 'name', optionsValue: 'name', value: scvmmHostProfileName, optionsCaption: '<fmt:message key="hypervisorprofile.selectprofile"/>' ">
                        </select>
                    </div>
                </li>
            </ul>
        </fieldset>
    </form>
</section>
