<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_lcbootmedia_template" data-bind="with: DellClarity.SCVMM.ViewModel.LCBootMedia.Details">
    <section id="error_lcbootmedia" role="alert" class="messageBox" data-bind="template: DellClarity.Controls.MessageBox.templateName"></section>
    <p>
        <fmt:message key="lcbootmedia.help" />
    </p>
    <form>
        <!-- ko with: model -->
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="winpeupdate.jobnametitle" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="jobName"><u>
                        <fmt:message key="lcbootmedia.jobname" />
                    </u></label>
                    <span id="jobName" class="value" data-bind="text: $parent.generatedJobName"></span>
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="lcbootmedia.imageSource" />
            </legend>

            <ul class="labelValuePairs">
                <li>
                    <label for="customWinpeImage">
                        <u>
                            <fmt:message key="lcbootmedia.customtasksequencemedia" />
                        </u>
                    </label>
                    <input id="customWinpeImage" type="text" class="value" data-bind="value: winpeImagePath" required placeholder='<fmt:message key="lcbootmedia.customtasksequencemediapathplaceholder" />'>
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="lcbootmedia.isosave" />
            </legend>
           
            <ul class="labelValuePairs">
                <li>
                    <label for="dtkDriversPath">
                        <u>
                            <fmt:message key="lcbootmedia.isofilename" />
                        </u>
                    </label>
                    <input id="dtkDriversPath" type="text" class="value" data-bind="value: bootMediaLocation" required placeholder='<fmt:message key="lcbootmedia.isosavepathplaceholder" />'>
                </li>
            </ul>
             <!-- <p>
                <fmt:message key="lcbootmedia.savehelp" />
            </p> -->
        </fieldset>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="winpeupdate.winpejobname" />
            </legend>
            <ul class="labelValuePairs">
                <!--Removed for the BETA, please do not delete-->
                <!--<li>
                        <input id="publishWinPeImage" type="checkbox" class="value" data-bind="checked: publishWinPeImage" />
                        <label for="publishWinPeImage"><u>Publish WinPE Image on all SCVMM PXE Servers</u></label>
                    </li>-->
                <li>
                    <input id="goToTheJobList" type="checkbox" class="value" data-bind="checked: $parent.goToTheJobList" />
                    <label for="goToTheJobList">
                        <u>
                            <fmt:message key="winpeupdate.gotothejoblist" />
                        </u>
                    </label>
                </li>
            </ul>
        </fieldset>
        <!-- /ko -->
        <div class="sectionEditButtons">
            <button id="winpeUpdate" class="cux-button cux-button-large cux-button-primary" type="submit">
                <fmt:message key="winpeupdate.update" />
            </button>
            <button id="mediaCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="winpeupdate.cancel" />
            </button>
        </div>
    </form>
</section>
