﻿DellClarity.Localization.Translations = {
    genericTerms: {
        about: 'Acerca de',
        confirm: 'Confirmar',
        save: 'Guardar',
        cancel: 'Cancelar',
        enabled: 'Habilitado',
        disabled: 'Deshabilitado',
        expand: 'Expandir',
        collapse: 'Contraer',
        select: 'Seleccionar',
        url: 'Url',
        response: 'Respuesta',
        lineNumber: 'Número de línea',
        minimize: 'Minimizar',
        maximize: 'Maximizar',
        normal: 'Normal'
    },
    core: {
        confirm: 'Confirmar',
        genericexception: 'Se ha producido un error.',
        networkexception: 'Se ha producido una excepción de red. Haga clic en actualizar en el navegador.',
        enabled: 'Habilitado',
        disabled: 'Deshabilitado',
        nopassword: 'Sin contraseña',
        stars: '********',
        select: 'Seleccionar',
        actionInProgress: 'Una acción está en curso',
        pleaseWait: 'Espere...'
    },
    validation: {
        required: 'Rellene este campo',
        pattern: 'Utilice el formato requerido: {title}',
        email: {
            hint: 'JuanBlanco@dominio.com',
            example: 'Introduzca una dirección de correo electrónico (p. ej. JuanBlanco@dominio.com',
        },
        url: {
            hint: 'http://',
            example: 'Introduzca una dirección de sitio web (p. ej. http://compañía.com)',
        },
        number: {
            example: 'Introduzca un número (p. ej. {example})',
            invalidMin: 'El valor debe ser al menos {min}',
            invalidMax: 'El valor no debe ser superior a {max}',
            invalidRange: 'El valor debe estar entre {min} y {max}',
            invalidStep: 'El valor debe ser un incremento de {step} de {min}',
        },
        date: {
            hint: 'mm/dd/aaaa',
            example: 'Introduzca una fecha (p. ej. {example})',
            invalidMin: 'El valor debe estar en/después de {min}',
            invalidMax: 'El valor debe estar en/antes de {max}',
            invalidRange: 'El valor debe estar entre {min} y {max}',
            invalidStep: {
            	days: 'El valor debe ser un incremento de {step} días de {min}',
            	hours: 'El valor debe ser un incremento de {step} horas de {min}',
            	minutes: 'El valor debe ser un incremento de {step} minutos de {min}',
            },
        },
        datetime: {
            hint: 'mm/dd/aaaa hh:mm de la tarde',
            example: 'Introduzca una fecha y hora (p. ej. {example})',
        }
    },
    table: {
        zeroRecords: "No hay elementos disponibles.",
        loadingData: 'Cargando datos...',
        tasks: 'Otras tareas'
    },
    wizard: {
        cancel: "Cancelar",
        saveAndContinue: 'Guardar y continuar',
        next: "Siguiente",
        finish: "Finalizar",
        stepXofY: "Paso %%currentStep%% de %%totalSteps%%",
        submit: "Enviar",
        save: "Guardar",
        confirmcanceltitle: "Confirmar",
        confirmcancel: "¿Está seguro de que desea cancelar?",
        successtitle: "Correcto",
        successmessage: "Sus cambios se han guardado correctamente."
    },
    loadingText: {
        loading: "Cargando...",
        noData: "No hay datos disponibles"
    },
    dateFilterText: {
        from: "De: ",
        to: "A: "
    }
};