﻿DellClarity.Localization.Translations = {
    genericTerms: {
        about: 'À propos de',
        confirm: 'Confirmer',
        save: 'Enregistrer',
        cancel: 'Annuler',
        enabled: 'Activé',
        disabled: ' Désactivé',
        expand: 'Développer',
        collapse: 'Réduire',
        select: ' sélectionner',
        url: 'Url',
        response: 'Réponse',
        lineNumber: 'Numéro de ligne',
        minimize: 'Réduire',
        maximize: 'Agrandir',
        normal: 'Normal'
    },
    core: {
        confirm: 'Confirmer',
        genericexception: 'Une erreur s\'est produite.',
        networkexception: 'Une exception réseau s\'est produite. Veuillez cliquer sur Actualiser sur votre navigateur.',
        enabled: 'Activé',
        disabled: 'Désactivé',
        nopassword: 'Aucun mot de passe',
        stars: '********',
        select: 'Sélectionner',
        actionInProgress: 'Une action est en cours',
        pleaseWait: 'Veuillez patienter...'
    },
    validation: {
        required: 'Veuillez remplir ce champ',
        pattern: 'Veuillez utiliser le format requis : {titre}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: 'Entrez une adresse e-mail (par exemple, JohnDoe@domain.com)',
        },
        url: {
            hint: 'http://',
            example: 'Saisissez une adresse de site Web (par exemple, http://company.com)',
        },
        number: {
            example: 'Saisissez un nombre (par exemple, {example})',
            invalidMin: 'La valeur doit être au moins {min}',
            invalidMax: 'La valeur ne doit pas être supérieure à{max}',
            invalidRange: 'La valeur doit être entre {min} et {max}',
            invalidStep: 'La valeur doit être un incrément de {étape} depuis {min}',
        },
        date: {
            hint: 'jj/mm/aaaa',
            example: 'Saisissez une date (par exemple, {exemple})',
            invalidMin: 'La valeur doit être le ou après le {min}',
            invalidMax: 'La valeur doit être le ou avant le {max}',
            invalidRange: 'La valeur doit être entre {min} et {max}',
            invalidStep: {
                days: 'La valeur doit être un incrément de {step} jours depuis{min}',
                hours: 'La valeur doit être un incrément de {step} heures depuis {min}',
                minutes: 'La valeur doit être un incrément de {step} minutes depuis{min}',
            },
        },
        datetime: {
            hint: 'jj/mm/aaaa hh:mm pm',
            example: 'Saisissez une date et une heure (par exemple, {example})',
        }
    },
    table: {
        zeroRecords: "Il n\'y a pas d\'éléments disponibles.",
        loadingData: 'Données en cours de chargement...',
        tasks: 'Autres tâches'
    },
    wizard: {
        cancel: "Annuler",
        saveAndContinue: 'Enregistrer et Continuer',
        next: "Suivant",
        finish: "Terminer",
        stepXofY: "Step %%currentStep%% sur %%totalSteps%%",
        submit: "Envoyer",
        save: "Enregistrer",
        confirmcanceltitle: "Confirmer",
        confirmcancel: "Souhaitez-vous vraiment annuler ?",
        successtitle: "Succès",
        successmessage: "L\'enregistrement de vos modifications a réussi."
    },
    loadingText: {
        loading: "En cours de chargement...",
        noData: "Aucune donnée disponible"
    },
    dateFilterText: {
        from: "De : ",
        to: "À : "
    }
};