﻿DellClarity.Localization.Translations = {
    genericTerms: {
        about: 'バージョン情報',
        confirm: '確認',
        save: '保存',
        cancel: 'キャンセル',
        enabled: '有効',
        disabled: '無効',
        expand: '展開',
        collapse: '折り畳み',
        select: '選択',
        url: 'Url',
        response: '応答',
        lineNumber: 'ライン番号',
        minimize: '最小化',
        maximize: '最大化',
        normal: '正常'
    },
    core: {
        confirm: '確認',
        genericexception: 'エラーが発生しました。',
        networkexception: 'ネットワーク例外が発生しました。 お使いのブラウザでリフレッシュをクリックしてください。',
        enabled: '有効',
        disabled: '無効',
        nopassword: 'パスワードなし',
        stars: '********',
        select: '選択',
        actionInProgress: '処置が進行中です',
        pleaseWait: 'お待ちください...'
    },
    validation: {
        required: 'このフィールドに入力してください',
        pattern: '必須フォーマットを使用してください： {title}',
        email: {
            hint: 'JohnDoe@domain.com',
            example: 'E-メールアドレス（例： JohnDoe@domain.com）を入力してください',
        },
        url: {
            hint: 'http://',
            example: 'ウェブサイトアドレス（例： http://company.com）を入力してください',
        },
        number: {
            example: '数字（例： {example}）を入力してください',
            invalidMin: '値は少なくとも {min} である必要があります',
            invalidMax: '値は {max} より高い必要があります',
            invalidRange: '値は {min} と {max} の間である必要があります',
            invalidStep: '値は {min} からの {step} の増分である必要があります',
        },
        date: {
            hint: 'mm/dd/yyyy',
            example: '日付（例： {example}）を入力してください',
            invalidMin: '値は {min} 以降である必要があります',
            invalidMax: '値は {max} 以前である必要があります',
            invalidRange: '値は {min} と {max} の間である必要があります',
            invalidStep: {
            	days: '値は {min} からの {step} 日の増分である必要があります',
            	hours: '値は {min} からの {step} 時間の増分である必要があります',
            	minutes: '値は {min} からの {step} 分の増分である必要があります',
            },
        },
        datetime: {
            hint: 'mm/dd/yyyy hh:mm pm',
            example: '日付と時刻（例： {example}）を入力してください',
        }
    },
    table: {
        zeroRecords: "使用できるアイテムがありません。",
        loadingData: 'データをロードしています...',
        tasks: 'その他のタスク'
    },
    wizard: {
        cancel: "キャンセル",
        saveAndContinue: '保存して続行',
        next: "次へ",
        finish: "終了",
        stepXofY: "段階 %%currentStep%% の %%totalSteps%%",
        submit: "送信",
        save: "保存",
        confirmcanceltitle: "確認",
        confirmcancel: "キャンセルしてもよろしいですか?",
        successtitle: "成功",
        successmessage: "変更が正常に保存されました。"
    },
    loadingText: {
        loading: "ロードしています...",
        noData: "使用できるデータがありません"
    },
    dateFilterText: {
        from: "送信元： ",
        to: "宛先： "
    }
};