/// <summary>
/// NOTE: This version of this control is not supported in DellClarity 2.5.
/// A new version of this control will be created soon and will be compatible with the new API.
/// </summary>
if (DellClarity.Config.apiVersion < 2.5) {
    DellClarity.TreeControl = (function () {

        var treeControlTemplateName = "treeTemplate";
        DellClarity.Resources.loadTemplate(treeControlTemplateName, "templates/treetemplate.html");

        return {
            treeControlTemplateName: treeControlTemplateName,
            toggle: function (target) {

                if (target.state() == 'open')
                    target.state('closed');

                else if (target.state() == 'closed')
                    target.state('open');

            }
        };

    })();
}
