DellClarity.Templates = {};
DellClarity.Templates.Loader = (function () {

	var isTemplateLoaded = function (templateId) {
		var matchingElement = $("#" + templateId);

		return matchingElement.length != 0;
	};

	return {
		loadTemplate: function (templateId, templateUrl) {
			if (isTemplateLoaded(templateId)) {
				DellClarity.Helpers.resize();
				return;
			}
			var appCompleteUrl = DellClarity.Urls.getAppUrl(templateUrl);
			DellClarity.Ajax.GetHtmlSychronously(appCompleteUrl, function (htmlContents) {
				var theScriptTemplate = "<script id='" + templateId + "' type='text/html' >" + htmlContents + "</script>";
				var body = $("body");
				body.append(theScriptTemplate);

				DellClarity.Helpers.resize();

			});

		}
	};
})();
