<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div data-bind="visible: data() && data().length > 0 ">
    <div style="float: left; padding-top: 5px;">
        <span id="items_count" data-bind="text: itemCount"></span>
        <fmt:message key="scrollabletable.footer" />
        <span id="displayed_rows" data-bind="text: firstDisplayedRowNumber() + '-' + lastDisplayedRowNumber()"></span>
    </div>
    <div style="float: right; padding-top: 5px;" data-bind="visible: lastPage() > 1">
        <label for="current_page" class="visuallyhidden">
            <fmt:message key="scrollabletable.currentpage" />
        </label>
        <input style="float: left; margin-top: 1px;" id="current_page" type="text" role="textbox" maxlength="7" size="2" data-bind="value: currentPage, changeOnEnter: true" />
        <span style="float: left; margin-left: 3px;">
            <fmt:message key="scrollabletable.pager" />
        </span><span style="float: left; margin-left: 3px;" id="last_page" data-bind="text: lastPage"></span>
        <span style="float: left; margin-left: 10px;" class="icon pageleft vmiddle" id="prev_pager" data-bind="styledDisabled: !previousPageEnabled()"></span>
        <span style="float: left;" class="icon pageright vmiddle" id="next_pager" data-bind="styledDisabled: !nextPageEnabled()"></span>
    </div>
</div>
